Please provide an Edition tool able to split multipart in single parts

2018-10-18 09:09 PM - Antonio Viscomi

Status: Closed

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27983

Description

Hi all, 

In Qgis 2 there is a useful plugin (multipart split) created by Alexandre Neto that allow user to split selected multipart in single parts...

I hope this will useful tool will be implemented in Qgis 3

At the moment, a user who need to split a multipart to single part, didn't have a tool to perform this

Regards 

Antonio

History

#1 - 2018-10-18 09:12 PM - Antonio Viscomi

Sorry this is a feature request not a bug

#2 - 2018-10-18 10:16 PM - Saber Razmjooei

- Status changed from Open to Closed

Already implemented.

Selected the features and from the Processing Toolbox, click on Edit Features in Place. Then you need to run multi-part to single parts

#3 - 2018-10-18 10:55 PM - Antonio Viscomi

Saber Razmjooei wrote:

Already implemented.

Selected the features and from the Processing Toolbox, click on Edit Features in Place. Then you need to run multi-part to single parts

Ok but I thinking that a button on editing toolbar that acts directely on feature will be more useful

Thanks a lot anyway

#4 - 2018-10-19 02:21 AM - Harrissou Santanna
FYI, the plugin is already ported to 3. You'd need to enable "show experimental plugins" in the Plugins settings tab beforehand.

And regarding the request, i'm not sure that a dedicated button for an action you don't need every day and that could also clutter the GUI will be the path

QGIS project will take: Processing offers the advantages to not clutter and to provide a large set of tools.

#5 - 2018-10-19 10:58 AM - Giovanni Manghi

Ok but I thinking that a button on editing toolbar that acts directely on feature will be more useful

re-file this as feature request, thanks.

#6 - 2018-10-19 11:21 AM - Antonio Viscomi

Giovanni Manghi wrote:

Ok but I thinking that a button on editing toolbar that acts directely on feature will be more useful

re-file this as feature request, thanks.

Hi Giovanni,

The plugin I need was ported and located I experimental plugin... So this ticket can be erased

Many thanks

Antonio

#7 - 2018-10-19 02:22 PM - Giovanni Manghi

The plugin I need was ported and located I experimental plugin... So this ticket can be erased

I think the interactive tool should be part of qgis.

#8 - 2018-10-19 02:28 PM - Antonio Viscomi

Giovanni Manghi wrote:

The plugin I need was ported and located I experimental plugin... So this ticket can be erased

I think the interactive tool should be part of qgis.

I think so too, 

Well if you want I can refile thi like a feature request

Let me know

2024-05-21 2/3



#9 - 2018-10-19 02:29 PM - Giovanni Manghi

Antonio Viscomi wrote:

Giovanni Manghi wrote:

The plugin I need was ported and located I experimental plugin... So this ticket can be erased

I think the interactive tool should be part of qgis.

I think so too, 

Well if you want I can refile thi like a feature request

Let me know

yes thanks.
